<?php


		include('../conexion.php');
		
		session_start();
		
		$perajuinv = $_SESSION['perajuinv']; 
		$perajuinv = 1; 
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s' or $_SESSION['tipo_usu']=='c' ){
		}else{
			header('location:acceso_denegado.php');
		}




if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgcli=$array_cadena_busqueda[1];
	$detaju=$array_cadena_busqueda[2];
	$numaju=$array_cadena_busqueda[3];
	//$cboEstados=$array_cadena_busqueda[4];H
	$fechainicio=$array_cadena_busqueda[5];
	$fechafin=$array_cadena_busqueda[6];
} else {
	$cdgcli="";
	$detaju="";
	$numaju="";
	//$cboEstados="";
	$vehpla="";
	$fechafin="";
}

?>
<html>
	<head>
		<title>Facturas</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("numaju").focus();
			document.getElementById("form_busqueda").submit();
		}
		
		function nuevo_ajuste() {
			location.href="nuevo_ajuste.php";
		}
		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {
				document.getElementById("iniciopagina").value=1;
			} else {
				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}
			document.getElementById("form_busqueda").submit();
		}
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		}
		
		function hacer_cadena_busqueda() {
			//var cdgcli=document.getElementById("cdgcli").value;
			//var detaju=document.getElementById("detaju").value;
			var numaju=document.getElementById("numaju").value;			
			//var cboEstados=document.getElementById("cboEstados").value;
			var combotipoajuste=document.getElementById("combotipoajuste").value;
			//var fechafin=document.getElementById("fechafin").value;
			var cadena="";
			cadena="~"+numaju+"~"+combotipoajuste+"~";
			return cadena;
			}
		
		function limpiar() {
			document.getElementById("form_busqueda").reset();
			buscar();
		}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=1000,height=380,scrollbars=yes");
			miPopup.focus();
		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarcliente_ini.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		 buscar();
		}
		
		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}


		</script>
	</head>
	<body  onLoad=" nobackbutton(); inicio()">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoFactura">
				<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						<tr>
						  <td width="4%">&nbsp;</td>
							<td width="14%">&nbsp;</td>
						  <td colspan="3">&nbsp;</td>
						  <td width="1%" rowspan="2">&nbsp;</td>
							<td width="20%" rowspan="5">
							
				
												  <?php 
						  if ( $perajuinv ==  1 ) { ?>
                	<img src="../img/ajuste_inventario.ico" width="99" height="92" border="0" onClick="nuevo_ajuste()" onMouseOver="style.cursor=cursor">
                            <?php } else { ?>
	<img src="../img/ajuste_inventario.ico" width="99" height="92" border="0"  onMouseOver="style.cursor=cursor">
                            <?php 
								} ?>
								
							
							
							</td>
						</tr>
						<tr>
						  <td>&nbsp;</td>
						  <td>N. Ajuste </td>
						  <td colspan="3"><input id="numaju" type="text" class="cajaPequena" name="numaju" maxlength="15"  onChange="buscar()" value="<?php echo $numaju?>"  onFocus="siguienteCampo ='combotipoajuste';"  autocomplete="off"></td>
				      </tr>
						<tr>                 
						  <td rowspan="2">&nbsp;</td>
							<td>Tipo</td>
                  
                            
                            
							<td width="32%"><select id="combotipoajuste" name="combotipoajuste" class="comboGrande" onChange="buscar()">
                             <option value="" selected>TODOS LOS AJUSTES</option>
							 <?php
							
					
					  	$tipo="SELECT * FROM tipo_ajuste ORDER BY cdgtipaju ASC";
                        $resultado = $mysqli->query($tipo) 
						?>
						   <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgtipaju"]?>"><?php echo  $fila["dscaju"]?></option>
                        <?php 
								} ?>
							 
						    </select></td>
							<td width="7%" rowspan="2"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor"></td>
							<td width="16%" rowspan="2"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()" onMouseOver="style.cursor=cursor"></td>
							<td rowspan="2">&nbsp;</td>
						</tr>
						<tr>
						  <td>&nbsp;</td>
						  <td><input id="vehpla" type="hidden" class="cajaMedia" name="vehpla" maxlength="15"  onChange="buscar()" value="<?php echo $vehpla?>"  onFocus="siguienteCampo ='cdgcli';" ></td>
					  </tr>
					</table>
					<div id="lineaResultado">
                      <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                        <tr>
                          <td width="34%" align="left">&nbsp;</td>
                          <td width="48%">
                            <input id="totalajuste"  class="cajaPequena" type="hidden" name="totalajuste" maxlength="5" readonly>                          </td>
                          <td width="18%" align="right">
                            <input  name="paginas" id="paginas" type="hidden" onChange="paginar()" maxlength="10" readonly>                            </td>
                      </table>
		          </div>
			        <div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="13%">N. AJUSTE </td>
							<td width="11%">FECHA</td>
							<td width="28%">DETALLE</td>							
							<td width="10%">ESTADO</td>
							<td width="10%">TIPO</td>
							<td width="8%">MONTO</td>
							<td width="5%">&nbsp;</td>
							<td width="6%">&nbsp;</td>
							<td width="9%">&nbsp;</td>
						</tr>
				</table>
	</div>
				    <iframe width="100%" height="380" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
